/******************************************************************************
 *
 *  xtree.h
 *
 * some global definitions/prototypes
 *
 *****************************************************************************/

#define MAX_DEPTH 9   /* default value for maximum depth to traverse */
#define ABSMAX_DEPTH 20   /* size of the name table */ 

/* I would not suggest changing anything below this line */

/* function prototypes */
#ifdef __STDC__
#define PROTOTYPE
void init(void);
void addname(char *name, int depth);
char *getname(int depth);
void usage(void);
void xtree(char *name, int depth, int flags);
int main(int argc, char *argv[]);
extern char *getcwd(char *buf, int size);
#else
void init();
void addname();
char *getname();
void usage();
void xtree();
int main();
extern char *getcwd();
#endif /* __STDC__ */

/* make sure we have a boolean TRUE and FALSE */
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE  !FALSE
#endif

/* the DEC doesn't seem to have these defined */
#ifndef _IFMT
#define _IFMT  0170000         /* type of file; sync with _S_IFMT */
#endif
#ifndef S_ISLNK
#define _IFLNK         0120000         /* symbolic link */
#define S_ISLNK(m)      (((m)&_IFMT) == _IFLNK)
#endif
#ifndef S_ISSOCK
#define _IFSOCK        0140000         /* socket */
#define S_ISSOCK(m)     (((m)&_IFMT) == _IFSOCK)
#endif

/* constants for 'flags' argument to xtree */
#define SHOWALL 0x01  /* show "dot" files - but never . or .., a la 'ls -A'  */
#define TRAILER 0x02  /* use dir/ link@ socket= exec* trailers, a la 'ls -F' */
#define GETLINK 0x04  /* follow over symbolic links as if hard, a la 'ls -L' */
#define ISLAST  0x08  /* this is the last thing in dir - needed for a subdir */
